Download SQL query results
curl --request POST \
--url https://api.getcargo.io/v1/storage/query/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>"
}
'import requests
url = "https://api.getcargo.io/v1/storage/query/download"
payload = { "query": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>'})
};
fetch('https://api.getcargo.io/v1/storage/query/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"urls": [
"<string>"
]
}Storage - Query
Download SQL query results
Execute a read-only SELECT query against the workspace’s storage warehouse and download the results as a file.
POST
/
storage
/
query
/
download
Download SQL query results
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body schema.
A read-only SELECT statement. Tables must be referenced as [datasetSlug].[modelSlug] and are rewritten to the underlying warehouse table under the hood. Example: "SELECT * FROM my_dataset.my_model"
Maximum string length:
10000Download format. Defaults to csv.
Available options:
csv, parquet Response
Successful response
Signed download URLs.
Was this page helpful?
⌘I

